Backend reports image not found when attempting image import

Reported by urbanalloy on 2011-01-06
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
GASP Core
Undecided
Matthew Gallagher
python-gasp (Ubuntu)
Medium
Luke Faraone
Lucid
Undecided
Luke Faraone
Maverick
Undecided
Luke Faraone

Bug Description

== STU INFORMATION ==
This bug prevents users of GASP from loading images.

A minimal patch can be found at <http://bazaar.launchpad.net/~gasp-dev/gasp-core/main/revision/60>.

=== Regression potential ===

Low. GASP is a self-contained library which has no rdepends in the archive, and this fix has been well-tested upstream.

=== Steps to reproduce ===

Assuming you have an image named "pongball.png" (any image will do), running this sample code:

from gasp import *
begin_graphics(width=800, height=600, title="My Game", background=color.YELLOW)
Image("pongball.png", (400, 300))
end_graphics()

Causes this error to occur:

>>> Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.6/gasp/backend.py", line 156, in update
    self.check_queues()
  File "/usr/lib/pymodules/python2.6/gasp/backend.py", line 205, in check_queues
    self.create_obj(obj[0])
  File "/usr/lib/pymodules/python2.6/gasp/backend.py", line 149, in create_obj
    create_image(obj[1])
  File "/usr/lib/pymodules/python2.6/gasp/backend.py", line 322, in wrapper
    return func(*args)
  File "/usr/lib/pymodules/python2.6/gasp/backend.py", line 458, in create_image
    raise GaspException("Image file not found")
gasp.backend.GaspException: 'Image file not found'

Ideally, the image should be displayed in the resulting window.

Changed in gasp-core:
status: New → Fix Committed
Luke Faraone (lfaraone) on 2011-02-28
Changed in gasp-core:
status: Fix Committed → Fix Released
Luke Faraone (lfaraone) on 2011-02-28
Changed in python-gasp (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Luke Faraone (lfaraone)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-gasp - 0.3.4-1

---------------
python-gasp (0.3.4-1) unstable; urgency=low

  * New upstream version.
    - Fix broken image support (LP: #698122)
  * Update to Standards Version 3.9.1, no changes needed.
  * Update maintainer field to use my @debian.org address
 -- Matthew Gallagher <email address hidden> Fri, 25 Mar 2011 12:53:47 +0000

Changed in python-gasp (Ubuntu):
status: In Progress → Fix Released
Luke Faraone (lfaraone) on 2011-04-07
Changed in python-gasp (Ubuntu Lucid):
status: New → In Progress
Changed in python-gasp (Ubuntu Maverick):
status: New → Incomplete
status: Incomplete → In Progress
Changed in python-gasp (Ubuntu Lucid):
assignee: nobody → Luke Faraone (lfaraone)
Changed in python-gasp (Ubuntu Maverick):
assignee: nobody → Luke Faraone (lfaraone)
Changed in gasp-core:
assignee: nobody → Matthew Gallagher (mattva01)
Luke Faraone (lfaraone) on 2011-04-07
description: updated
Luke Faraone (lfaraone) on 2011-04-07
Changed in python-gasp (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in python-gasp (Ubuntu Maverick):
status: In Progress → Fix Committed

Accepted python-gasp into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted python-gasp into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Just tested python-gasp from Maverick-proposed. Works just fine, with no errors and the desired effect.

Steve Nicholakos (stavros32593) wrote :

Also works from lucid-proposed.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-gasp - 0.3.3-0ubuntu1.10.04.1

---------------
python-gasp (0.3.3-0ubuntu1.10.04.1) lucid-proposed; urgency=low

  * Fix broken image support (LP: #698122)
 -- Luke Faraone <email address hidden> Thu, 07 Apr 2011 09:11:57 -0400

Changed in python-gasp (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-gasp - 0.3.3-1ubuntu0.10.10.1

---------------
python-gasp (0.3.3-1ubuntu0.10.10.1) maverick-proposed; urgency=low

  * Fix broken image support (LP: #698122)
  * Update maintainer.
 -- Luke Faraone <email address hidden> Thu, 07 Apr 2011 09:32:55 -0400

Changed in python-gasp (Ubuntu Maverick):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers